//
//  SCAdContentView.h
//  SCMobileSDK
//
//  Copyright © 2018 smartclip Holding AG. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <WebKit/WebKit.h>

/**
 SCAdContentView is a simple subclass of UIView. Its only task is to override the value for 'intrinsicContentSize'
 and give back the size (we only care for the height) of a possibly added WKWebView subview. If there is no webView
 added we give back a zero height (or the height of the value initialHeight which can be assigned) as a standard height.
 */
@interface SCAdContentView : UIView
@property (nonatomic, weak, nullable) WKWebView* contentSubview;

/// var initialHeight: Can be used to give the view an intrinsic content height before contentSubview has been added.
@property (nonatomic) CGFloat initialHeight;
@end
